Loading...
Searching...
No Matches
halide_test_dirs.h File Reference
`#include <cassert>`
`#include <stdlib.h>`
`#include <string>`
`#include <stdio.h>`
`#include <sys/stat.h>`
`#include <unistd.h>`

Go to the source code of this file.

## Namespaces

namespace | Halide
| This file defines the class FunctionDAG, which is our representation of a Halide pipeline, and contains methods to using Halide's bounds tools to query properties of it.
namespace | Halide::Internal
namespace | Halide::Internal::Test

## Functions

std::string | Halide::Internal::Test::get_env_variable (const char *name)
std::string | Halide::Internal::Test::get_current_directory ()
std::string | Halide::Internal::get_test_tmp_dir ()
| Return the path to a directory that can be safely written to when running tests; the contents directory may or may not outlast the lifetime of test itself (ie, the files may be cleaned up after test execution).